package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.TCStatisticsDto;
import com.qmth.distributed.print.business.entity.TCStatistics;
import com.qmth.distributed.print.business.enums.StatisticsStatusEnum;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 命题统计表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-09-09
 */
public interface TCStatisticsService extends IService<TCStatistics> {

    /**
     * 根据批次号查找印刷计划信息
     *
     * @param schoolId
     * @param batchNo
     * @return
     */
    public List<TCStatistics> findByBatchNo(Long schoolId, String batchNo);

    /**
     * 查找印刷计划信息
     *
     * @param iPage
     * @param collegeId
     * @param teachingRoomId
     * @param status
     * @param courseName
     * @param teacherName
     * @param schoolId
     * @return
     */
    public IPage<TCStatisticsDto> list(IPage<Map> iPage,
                                             Long collegeId,
                                             Long teachingRoomId,
                                             StatisticsStatusEnum status,
                                             String courseName,
                                             String teacherName,
                                             Long schoolId);
}
